Subject: [TR] Tr4A Squealing Disk Brakes

From: "Jeff" <[email-masked]>
Date: Sun, 19 Jul 2015 12:31:17 -0600

I have standard pads and rotors on my TR4a.  It seems like twice a year they
squeal when first starting the drive.  It quits after they warm up.  I've
used both Moss Brake Pad Anti-Squeal Grease and CRC-Disc Brake Quiet on the
back of the pads.  Both work for a while but it's not long before the
squealing returns.  Any suggestions on a more permanent solution?  Are there
pads that don't sequel?

Jeff Porter 67 TR4A

** [email-masked] **

Archive: http://www.team.net/archive